<?php

namespace App\Imports;

use Maatwebsite\Excel\Concerns\ToArray;
use Maatwebsite\Excel\Concerns\WithBatchInserts;
use Maatwebsite\Excel\Concerns\WithCustomChunkSize;
use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class PriceListColumnsCheck implements ToArray, WithBatchInserts, WithCustomChunkSize, WithMultipleSheets
{
    public function array(array $array)
    {
        // TODO: Implement array() method.
        return $array;
    }

    public function sheets(): array
    {
        return [
            0,
            // 1 => new SecondSheetImport(),
        ];
    }

    public function chunkSize(): int
    {
        return 1;
    }

    public function batchSize(): int
    {
        return 1;
    }
}
